## Overview

This Python package provides efficient algorithms for calculating maximal independent sets in graphs. The project includes various scripts in the `MIS-algorithms` folder, each implementing a different algorithm for computing these sets. The Lotka-Volterra Algorithm and the Continuation Lotka-Volterra Algorithm are both described in the paper "Finding Large Independent Sets in Networks Using Competitive Dynamics".

[![License](https://img.shields.io/badge/license-MIT-blue.svg)](https://opensource.org/licenses/MIT)
[![Python Version](https://img.shields.io/badge/python-3.6%2B-blue.svg)](https://www.python.org/downloads/)

## Table of Contents

- [Features](#features)
- [Installation](#installation)
- [Usage](#usage)
- [Configuration](#configuration)
- [License](#license)
- [Contact](#contact)

## Features

- **Lotka-Volterra Algorithm:** Efficient implementation of the Lotka-Volterra algorithm for maximal independent set calculation.
- **Continuation Algorithm:** The Continuation Clgorithm to find maximal independent sets in graphs.
- **Greedy Algorithm:** Implementation of the Greedy algorithm for maximal independent set approximation, where we select vertices based on the minimum degree.
- **Exact Algorithm:** An exact algorithm to find the exact maximal independent set in a given graph. Used much functionality from the PuLP package!

## Installation
You can install the package using pip:

```bash
pip install MIS-algorithms
```

## Usage
To use the package, import the relevant script from the MIS folder based on the algorithm you'd like to apply.

## Configuration
No specific configuration is required.

## License
This package is distributed under the MIT license.

## Contact
You can contact me at mooij.niek@gmail.com for any questions or suggestions.